• News

2 days late, after being 2 weeks late after nearly 2 months late....but the first beta of JCE 1.5.0 is finally here!

This is a significant release as not only does it include the latest and greatest version of TinyMCE, 3.0.2, but also represents anew direction in the development of JCE, with new methods of data handling, an improved API with better extension options, better language support, but also new methods to extend and enhance plugins; as well as a few new bit and pieces (available soon).

This initial beta release is available to subscribers only, as an attempt to limit any potential problems to a smaller audience, and to offer subscribers the opportunity to test and use the brand new version of JCE!

Please note that although this is beta code, and therefore should be used in production environments with caution, indications are that JCE 1.5.x is stable and shouldn't cause any major problems.

 


Just a quick note that JCE 1.5 for Joomla! 1.5 is currently in development and will be released soon, although an exact release date is not available at this time, expect somthing in the region of 1 to 2 weeks from now. It will initially be released as a beta.

This is a complete rewrite of the JCE Admin Component and Editor Mambot, designed around Joomla! 1.5's new MVC API. It is being designed to work better and faster than previous releases and will include the new TinyMCE 3 wysiwyg editor

Although not all plugins will be available on release, all currently available plugins will be redeveloped for JCE 1.5 where neccessary and a few extras will also make it into the list, one new one for members, and one new one for everyone.

It will be worth the wait.

Thank you for your patience.

Please note that the current version of JCE is not compatible with Joomla! 1.5